FuBar_Aspect = FuBarPlugin:new({
	name          = FuBar_AspectLocals.NAME,
	description   = FuBar_AspectLocals.DESCRIPTION,
	version       = "1.0.6",
	releaseDate   = "04-22-2006",
	aceCompatible = 103,
	fuCompatible  = 909,
	author        = "Corgi",
	email         = "corgiwow@gmail.com",
	website       = "http://corgi.wowinterface.com/",
	category      = "interface",
	db            = AceDatabase:new("FuBar_AspectDB"),
	defaults      = DEFAULT_OPTIONS,
	cmd           = AceChatCmd:new(FuBar_AspectLocals.COMMANDS, FuBar_AspectLocals.CMD_OPTIONS),
	loc 		  = FuBar_AspectLocals,
	hasIcon		  = "Interface\\Icons\\Ability_Physical_Taunt",
	hasText		  = TRUE,
	canHideText	  = TRUE,
	
	--Enable = function(self)	
	--end,
	
	--Initialize = function(self)
	--end,
	
	--OnClick = function(self)
	--end,
	
	UpdateTooltip = function(self)
		self.tooltip:SetHint(self.loc.ASPECT_TOOLTIP_HINT_TEXT)
	end,
		
	MenuSettings = function(self)
		local info = {}
		if ( UIDROPDOWNMENU_MENU_LEVEL == 1 ) then
			
			-- Reset the available abilities.
			for spellName, id in ipairs(self.Aspect_Abilities) do
				if (id > 0) then
					self.Aspect_Abilities[spellName] = 0
				end
			end
			
			-- Calculate the total number of spells known by scanning the spellbook.
			local numTotalSpells = 0
			for i=1, MAX_SKILLLINE_TABS do
				local name, texture, offset, numSpells = GetSpellTabInfo(i)
				if (name) then
					numTotalSpells = numTotalSpells + numSpells
				end
			end
			
			-- Find available aspects.
			local aspectFound = 0
			
			for i=1, numTotalSpells do
				local spellName, subSpellName = GetSpellName(i, SpellBookFrame.bookType);
				if (spellName) then
					if (self.Aspect_Abilities[spellName]) then
						self.Aspect_Abilities[spellName] = i
						aspectFound = 1
					end
				end
			end
			
			-- Display found aspects
			if (aspectFound == 1) then
				for spellName,id in self.Aspect_Abilities do
					if (id > 0) then
						info = {};
						info.text = spellName
						info.value = id
						info.func = function()
							self:Aspect_CastSpell()
						end
						UIDropDownMenu_AddButton(info)
					end
				end
			else
				info = {};
				info.text = self.loc.ASPECT_NO_ASPECTS_FOUND;
				UIDropDownMenu_AddButton(info);
			end
		end
	end,
	
	Aspect_Abilities = {
		[FuBar_AspectLocals.ASPECT_TEXT_HAWK] = 0,
		[FuBar_AspectLocals.ASPECT_TEXT_CHEETAH] = 0,
		[FuBar_AspectLocals.ASPECT_TEXT_MONKEY] = 0,
		[FuBar_AspectLocals.ASPECT_TEXT_PACK] = 0,
		[FuBar_AspectLocals.ASPECT_TEXT_BEAST] = 0,
		[FuBar_AspectLocals.ASPECT_TEXT_WILD] = 0,
	},

	Aspect_CastSpell = function(self)
		CastSpell(this.value, 0)
	end,
})

FuBar_Aspect:RegisterForLoad()